View Issue Details

IDProjectCategoryView StatusLast Update
14000Bug reports[All Projects] Otherpublic2018-09-03 17:14
Reportersocmind Assigned Todominikvitt  
PriorityimmediateSeverityminor 
Status closedResolutionfixed 
Product Version 
Target VersionFixed in Version3.14.x 
Summary14000: "Export this response" button in view response page is broken
Description

"Export this response" button has some bad html that prevents from showing correctly. When page is loading it appear ok but then it breaks. See attached screenshot.
The problems seems to be bad html, probably due to the previous javascript inserted in the href. The code for the wrapper element (menu) is as follows:

<div class="col-md-7 text-right col-md-offset-5">

&lt;a class=&quot;btn btn-default&quot; href='/admin/dataentry/sa/editdata/subaction/edit/surveyid/------/id/2/lang/es' role=&quot;button&quot;> &lt;span class=&quot;fa fa-pencil text-success&quot;>&lt;/span> Edit this entry &lt;/a>
&lt;a class=&quot;btn btn-default&quot; href='#' role=&quot;button&quot; onclick='if (confirm(&quot;Are you sure you want to delete this entry?&quot;)) { window.LS.sendPost(&quot;/admin/dataentry/sa/delete/id/2/sid/------&quot;,&quot;&quot;,{&quot;&quot;:null});}&quot;>
&lt;span class=&quot;fa fa-trash text-warning&quot;>&lt;/span>
Delete this entry                    &lt;/a>
&lt;a class=&quot;btn btn-default&quot; href='/admin/export/sa/exportresults/surveyid/------/id/2' role=&quot;button&quot; >
&lt;span class=&quot;icon-export text-success downloadfile&quot;>&lt;/span>
Export this response                    &lt;/a>
&lt;a href='/admin/responses/sa/view/surveyid/------/id' title='Show previous...'
class=&quot;btn btn-default disabled&quot;>
&lt;span class=&quot;icon-databack text-success&quot; title='Show previous...'>&lt;/span> Show previous...            &lt;/a>
&lt;a href='/admin/responses/sa/view/surveyid/------/id/3' title='Show next...'
class=&quot;btn btn-default &quot;>
&lt;span class=&quot;icon-dataforward text-success&quot; title='Show next...'>&lt;/span> Show next...            &lt;/a>

&lt;a class=&quot;btn btn-danger&quot; href=&quot;/admin/responses/sa/browse/surveyid/------&quot; role=&quot;button&quot;> &lt;span class=&quot;fa fa-close&quot;>&lt;/span> Close &lt;/a>

</div>

Notes:

  • It's not survey specific, all surveys view response page present the broken button.
  • Changing the color scheme does not change the result.
Steps To Reproduce
  1. Survey
  2. Responses and statistics
  3. Display responses
  4. Click on any response "View response details" icon
  5. View response page is loaded with broken "Export this response" button
TagsNo tags attached.
Complete LimeSurvey version number (& build)3.14.5+180815
I will donate to the project if issue is resolvedNo
BrowserChrome 68.0.3440.106 and Firefox 61.0.2 (both 64bit editions)
Database & DB-VersionMySQL 5.6.32-78.1
Server OS (if known)CentOS 6
Webserver software & version (if known)Apache 2.2.34
PHP Version5.6.37 FastCGI

Relationships

has duplicate 14002 closeddominikvitt Button "Export this response" don't work 

Activities

socmind

socmind

2018-08-23 14:52

reporter  

response-menu-broken.jpg (68,229 bytes)
response-menu-broken.jpg (68,229 bytes)
dominikvitt

dominikvitt

2018-08-28 15:36

developer   ~48900

This issue is fixed.
https://github.com/LimeSurvey/LimeSurvey/commit/f180d476b1545efe40b461dfbabc79fb3f79b1bb

c_schmitz

c_schmitz

2018-09-03 17:14

administrator   ~48941

Version 3.14.8+180829 released

Issue History

Date Modified Username Field Change
2018-08-23 14:52 socmind New Issue
2018-08-23 14:52 socmind File Added: response-menu-broken.jpg
2018-08-28 11:17 LouisGac Assigned To => dominikvitt
2018-08-28 11:17 LouisGac Status new => assigned
2018-08-28 11:58 LouisGac Priority none => immediate
2018-08-28 15:29 dominikvitt Relationship added has duplicate 14002
2018-08-28 15:36 dominikvitt Status assigned => resolved
2018-08-28 15:36 dominikvitt Resolution open => fixed
2018-08-28 15:36 dominikvitt Fixed in Version => 3.14.x
2018-08-28 15:36 dominikvitt Note Added: 48900
2018-09-03 17:14 c_schmitz Note Added: 48941
2018-09-03 17:14 c_schmitz Status resolved => closed